Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
archlinux PKGBUILD for qtjambi – current git master
Shell
branch: master
Failed to load latest commit information.
.gitignore made some patches obsolete
PKGBUILD added source zip
build.properties.patch fixed qmake error and qwebpage error
eclipse-user-lib.png
readme.md corrected grammar in readme
webkit.patch initial commit

readme.md

Qt Jambi PKGBUILD

This Repo contains a PKGBUILD of the current git master version of Qt Jambi for Archlinux.

Its current aim is to provide Qt Jambi compiled against system Qt.

Code examples contain $QTVERSION which can be determined like so: QTVERSION=$(pkg-config --modversion QtCore).

Paths

currently, it installs its libraries into lib/jni, and needs system Qt libraries to run.

This means that your IDE/buildscript needs to add the following paths to its java.library.path:

  • /usr/lib
  • /usr/lib/jni

The jar resides in share/java, so you have to add the following to your classpath:

  • /usr/share/java/qtjambi-$QTVERSION.jar

Examples

Eclipse

Setup your project like so (it’s german, but you should figure it out)

Eclipse user libraries

Running the demos

java -Djava.library.path=/usr/lib:/usr/lib/jni \
    -cp /usr/share/java/qtjambi-$QTVERSION.jar:/usr/share/java/qtjambi-examples-$QTVERSION.jar \
    com.trolltech.launcher.Launcher
Something went wrong with that request. Please try again.